%global pname     osdteletext
%global plugindir %(vdr-config --plugindir  2>/dev/null || echo ERROR)
%global cachedir  %(vdr-config --cachedir   2>/dev/null || echo ERROR)
%global apiver    %(vdr-config --apiversion 2>/dev/null || echo ERROR)
%global vdr_user  %(vdr-config --user       2>/dev/null || echo ERROR)

Name:           vdr-%{pname}
Version:        0.8.3
Release:        4%{?dist}
Summary:        OSD teletext plugin for VDR

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://projects.vdr-developer.org/projects/show/plg-osdteletext
Source0:        http://projects.vdr-developer.org/attachments/download/116/%{name}-%{version}.tgz
Source1:        %{name}.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  vdr-devel >= 1.6.0
BuildRequires:  gettext
Requires:       vdr(abi)%{?_isa} = %{apiver}

%{?filter_setup:
%filter_provides_in %{plugindir}/.*\.so
%filter_setup}

%description
The OSD teletext plugin displays teletext directly on VDR's on-screen
display, with sound and video from the current channel playing in the
background.


%prep
%setup -q -n %{pname}-%{version}


%build
make %{?_smp_mflags} LIBDIR=. LOCALEDIR=./locale VDRDIR=%{_libdir}/vdr all


%install
rm -rf $RPM_BUILD_ROOT

install -dm 755 $RPM_BUILD_ROOT%{plugindir}
install -pm 755 libvdr-%{pname}.so.%{apiver} $RPM_BUILD_ROOT%{plugindir}

install -dm 755 $RPM_BUILD_ROOT%{cachedir}/osdteletext

install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vdr-plugins.d
sed -e 's|/var/cache/vdr/|%{cachedir}/|' < %{SOURCE1} \
  > $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vdr-plugins.d/osdteletext.conf
chmod 644 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vdr-plugins.d/*.conf

install -dm 755 $RPM_BUILD_ROOT%{_datadir}/locale
cp -pR locale/* $RPM_BUILD_ROOT%{_datadir}/locale
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%preun
if [ $1 -eq 0 ] ; then
  rm -rf %{cachedir}/osdteletext/*
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING HISTORY README*
%config(noreplace) %{_sysconfdir}/sysconfig/vdr-plugins.d/%{pname}.conf
%{plugindir}/libvdr-%{pname}.so.%{apiver}
%attr(-,%{vdr_user},root) %{cachedir}/osdteletext/


%changelog
* Thu Sep  3 2009 Ville Skyttä <ville.skytta@iki.fi> - 0.8.3-4
- Filter out autoprovided libvdr-*.so.* (if %%filter_setup is available).

* Mon Aug 10 2009 Ville Skyttä <ville.skytta@iki.fi> - 0.8.3-3
- Use ISA qualified dependency to vdr(abi).
- Use %%global instead of %%define.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jun  4 2009 Ville Skyttä <ville.skytta@iki.fi> - 0.8.3-1
- Update to 0.8.3.

* Tue May 26 2009 Ville Skyttä <ville.skytta@iki.fi> - 0.8.2-1
- Update to 0.8.2.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 11 2009 Ville Skyttä <ville.skytta@iki.fi> - 0.8.1-1
- 0.8.1.
- Trim pre-Fedora %%changelog entries.

* Sun Dec 21 2008 Ville Skyttä <ville.skytta@iki.fi> - 0.7.0-1
- 0.7.0.

* Sun Dec 14 2008 Ville Skyttä <ville.skytta@iki.fi> - 0.6.0-1
- 0.6.0 (new community upstream), patches applied upstream.

* Mon Apr  7 2008 Ville Skyttä <ville.skytta@iki.fi> - 0.5.1-31
- Apply VDR 1.5+ patch from e-tobi.net Debian package.
- Build for VDR 1.6.0.

* Sat Feb 16 2008 Ville Skyttä <ville.skytta@iki.fi> - 0.5.1-30
- Rebuild.

* Wed Aug 22 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.5.1-29
- BuildRequires: gawk for extracting APIVERSION.

* Tue Aug  7 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.5.1-28
- License: GPLv2+

* Sun Jan  7 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.5.1-27
- Rebuild for VDR 1.4.5.

* Sun Nov 12 2006 Ville Skyttä <ville.skytta@iki.fi> - 0.5.1-26
- First FE build.
